> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List virtual GPU cluster volumes

> List all volumes attached to servers in a virtual GPU cluster.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/volumes
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 4d49f7ec9cca
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/volumes:
    get:
      tags:
        - GPU Virtual
      summary: List virtual GPU cluster volumes
      description: List all volumes attached to servers in a virtual GPU cluster.
      operationId: ClusterInstanceVolumes.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_id
          required: true
          description: Cluster unique identifier
          schema:
            description: Cluster unique identifier
            example: 1aaaab48-10d0-46d9-80cc-85209284ceb4
            examples:
              - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            format: uuid4
            title: Cluster Id
            type: string
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterInstanceVolumesList'
components:
  schemas:
    ClusterInstanceVolumesList:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/ClusterInstanceVolume'
          title: Results
          type: array
      required:
        - count
        - results
      title: ClusterInstanceVolumesList
      type: object
    ClusterInstanceVolume:
      properties:
        bootable:
          description: True if this is bootable volume
          example: false
          examples:
            - false
          title: Bootable
          type: boolean
        created_at:
          description: Volume creation date and time
          example: '2025-03-17T13:22:23Z'
          examples:
            - '2025-03-17T13:22:23Z'
          format: date-time
          title: Created At
          type: string
        id:
          description: Volume unique identifier
          example: b6e58490-58d3-451c-bb77-4178157c98b2
          examples:
            - b6e58490-58d3-451c-bb77-4178157c98b2
          format: uuid4
          title: Id
          type: string
        name:
          description: User defined name
          example: my-volume
          examples:
            - my-volume
          title: Name
          type: string
        root_fs:
          description: True if this volume contains root file system
          example: false
          examples:
            - false
          title: Root Fs
          type: boolean
        server_id:
          description: Server UUID
          example: ded40aad-505c-463b-aa59-8f5f455d1b6f
          examples:
            - ded40aad-505c-463b-aa59-8f5f455d1b6f
          format: uuid4
          title: Server Id
          type: string
        size:
          description: Volume size in GiB
          example: 100
          examples:
            - 100
          title: Size
          type: integer
        status:
          $ref: '#/components/schemas/VolumeStatus'
          description: Current volume status
          examples:
            - in-use
        tags:
          description: User defined tags
          example:
            - key: task_id
              read_only: true
              value: d74c2bb9-cea7-4b23-a009-2f13518ae66d
          examples:
            - - key: task_id
                read_only: true
                value: d74c2bb9-cea7-4b23-a009-2f13518ae66d
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        type:
          description: Volume type
          example: standard
          examples:
            - standard
          title: Type
          type: string
      required:
        - id
        - server_id
        - name
        - type
        - status
        - size
        - bootable
        - root_fs
        - tags
        - created_at
      title: ClusterInstanceVolume
      type: object
    VolumeStatus:
      enum:
        - attaching
        - available
        - awaiting-transfer
        - backing-up
        - creating
        - deleting
        - detaching
        - downloading
        - error
        - error_backing-up
        - error_deleting
        - error_extending
        - error_restoring
        - extending
        - in-use
        - maintenance
        - reserved
        - restoring-backup
        - retyping
        - reverting
        - uploading
      title: VolumeStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````